%define pkg_name    ghc-bootstrap
%define pkg_version 7.10.3
%define pkg_release 1%{?_dist_release}

%ifarch %{ix86}
%define rpmarch i386
%endif
%ifarch x86_64
%define rpmarch x86_64
%endif

%define dlurl https://www.haskell.org/ghc/dist
%define filename ghc-%{pkg_version}-%{rpmarch}-deb8-linux.tar.bz2


Summary: ghc binary for build ghc
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD-like
Group:   Applications/Languages
URL:     https://www.haskell.org/ghc

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: wget

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
The Glasgow Haskell Compiler (GHC) is a state-of-the-art, open source,
compiler and interactive environment for the functional language Haskell.

This package is ghc binary for building ghc.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
wget %{dlurl}/%{version}/%{filename}

%build
%{__tar} xf %{filename}
cd ghc-%{version}
./configure --prefix=%{_prefix} --libdir=%{_libdir}

%install
cd ghc-%{version}
%{make_install}
%{__mv} ${RPM_BUILD_ROOT}%{_docdir}/ghc \
        ${RPM_BUILD_ROOT}%{_docdir}/ghc-%{version} \

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig
%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-%{version}/
%{_docdir}/ghc-%{version}/
%{_mandir}/man1/


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 7.10.3-1
- update to 7.10.3-1

* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-2
- coorect SPEC file

* Tue Feb 02 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-1
- new package
